Does everything I need Puntuado con 5 de 5 estrellas

Works as it should with Firefox 18 on Ubuntu 12.10

Esta valoración es de una versión anterior del complemento (4.9.13.1-signed).  Este usuario tiene una valoración anterior de este complemento.